Package com.tibco.patterns.grouping

## Class GroupingOptions

- java.lang.Object
- - com.tibco.patterns.grouping.GroupingOptions

-     public class GroupingOptions
      extends java.lang.Object

  Holds the options applicable to a grouping.
  To ensure all records are grouped, set `add_threshold` to 0.0 and `max_group_size` to a large number.
  See Also:
    `Grouping`

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `float` | `add_threshold` | The lower score bound for a record to extend a group.
    `float` | `join_threshold` | The lower score bound for merging two groups.
    `int` | `max_group_size` | The maximum size of a group.
    `int` | `max_record_links` | Records with more than this number of links will not be grouped.
    `float` | `new_group_threshold` | The lower score bound for creating a new group.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `GroupingOptions()` | Creates grouping options with default values.
    `GroupingOptions​(GroupingOptions other)` | Copies group options.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### add_threshold

          public float add_threshold

      The lower score bound for a record to extend a group. Default 0.0. Use caution in raising this value as it may cause records with only weak links to not be grouped.

    - #### join_threshold

          public float join_threshold

      The lower score bound for merging two groups. The default is 0.0. A higher threshold is useful for some applications. One recommended use for this value is to split groups along subgroup divisions.

    - #### new_group_threshold

          public float new_group_threshold

      The lower score bound for creating a new group. The default is 0.0. It is not recommended to change this.

    - #### max_group_size

          public int max_group_size

      The maximum size of a group. Decreasing this is not needed for most data sets.
      It is recommended not to change this unless grouping is running slowly or later applications are having trouble processing large groups.

    - #### max_record_links

          public int max_record_links

      Records with more than this number of links will not be grouped. Useful when a large number of links for a single record implies the record is useless for some reason (a test record, a badly populated record, etc.).
      Use caution in lowering this value. Lowering it when there are records with a large number of valid links can produce undesirable results.

  - ### Constructor Detail

    - #### GroupingOptions

          public GroupingOptions()

      Creates grouping options with default values.

    - #### GroupingOptions

          public GroupingOptions​(GroupingOptions other)

      Copies group options.
      Parameters:
        `other` - options to copy.